Download it now!
Bug 88029 - FILEOPEN: Date/Timestamp table field formatting and descriptions disappear
Summary: FILEOPEN: Date/Timestamp table field formatting and descriptions disappear
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-04 22:44 UTC by James B. Byrne
Modified: 2015-09-04 03:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
LOBASE: missing descriptions after copy (4.55 KB, application/vnd.sun.xml.base)
2015-01-05 20:08 UTC, James B. Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-04 22:44:16 UTC
Setting the format for a field type TIMESTAMP to "YYYY-MM-DD HH:MM" or a field type DATE to "YYYY-MM-DD" saves without error but reset to "01/01/00 00:00" and "01/01/00" respectively when reopened for editing.  Any description entered for these field likewise disappears.
Comment 1 James B. Byrne 2015-01-04 22:45:06 UTC
This using embedded HSQLDB
Comment 2 Alex Thurgood 2015-01-05 10:17:27 UTC
@James : please provide test odb file displaying behaviour, the reset to unconfirmed.

setting to needinfo pending requested information
Comment 3 James B. Byrne 2015-01-05 20:08:43 UTC
Created attachment 111782 [details]
LOBASE: missing descriptions after copy

I cannot reproduce the formatting change errors on my CentOS-6.6 Linux host.  However the attached database shows the effects of copy and paste between table design views wherein the descriptions disappear and a default value is automatically created for TIMESTAMP fields.

I did notice that the Linux host that I am working on has a custom en_CA locale whereas the OSX-10.9.5 has a locale of en_US (I believe, this I must check).  I am using the GB localised version of LO-4.3.5.2 on both hosts.

This is related to bug 88032.
Comment 4 QA Administrators 2015-07-18 17:35:46 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 5 QA Administrators 2015-09-04 03:01:05 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03